Closed Bug 955433 Opened 6 years ago Closed 6 years ago

Update to Mozilla 22

Categories

(Chat Core :: General, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: Mic, Assigned: clokep)

References

()

Details

Attachments

(4 files, 1 obsolete file)

*** Original post on bio 1997 at 2013-06-09 22:58:00 UTC ***

+++ This bug was initially created as a clone of Bug #955394 (bio 1956) +++
No longer depends on: 955426, 955262, 955395
Blocks: 955469
*** Original post on bio 1997 as attmnt 2590 at 2013-07-13 14:24:00 UTC ***

Note that I'm building after applying the patches from bug 955017 (bio 1587).
Attachment #8354359 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
*** Original post on bio 1997 as attmnt 2591 at 2013-07-13 14:27:00 UTC ***

This is the first part of the ports, it does NOT include two changesets involved in porting to moz.build because I'm running into issues.
Attachment #8354360 - Flags: review?(florian)
Attached patch Port of c-r changes, part 2 WIP (obsolete) — Splinter Review
*** Original post on bio 1997 as attmnt 2592 at 2013-07-13 14:31:00 UTC ***

This is the second part of the ported patches, this includes the Makefile.in -> moz.build changes. Unfortunately libpurple fails with the following, I'd love if someone has some ideas of how to fix this:

purple.def
c:\Users\clokep\instantbird\objdir-debug-moz22\purple\libpurple\Makefile:235
:0$ cat c:/Users/clokep/instantbird/purple/libpurple/xmlnode.h |egrep '^[a-z
A-Z].* \*?xmlnode_[a-z_]+\(' |sed -e 's/(.*//' -e 's/.* \*\?//' |sort |uniq
>> purple.def
c:\Users\clokep\instantbird\config\rules.mk:978:0$ rm -f purple.lib
c:\Users\clokep\instantbird\config\rules.mk:979:0$ c:/Users/clokep/instantbi
rd/objdir-debug-moz22/mozilla/_virtualenv/Scripts/python.exe c:/Users/clokep
/instantbird/mozilla/config/expandlibs_gen.py --depend .deps/purple.lib.pp -
o purple.lib.desc account.obj accountopt.obj blist.obj buddyicon.obj cipher.
obj ciphers/des.obj ciphers/gchecksum.obj ciphers/hmac.obj ciphers/md4.obj c
iphers/md5.obj ciphers/rc4.obj ciphers/sha1.obj ciphers/sha256.obj circbuffe
r.obj cmds.obj connection.obj conversation.obj core.obj debug.obj eventloop.
obj ft.obj gettext.obj idle.obj imgstore.obj mime.obj nat-pmp.obj network.ob
j ntlm.obj notify.obj plugin.obj pluginpref.obj prefs.obj privacy.obj proxy.
obj prpl.obj request.obj roomlist.obj server.obj signals.obj dnsquery.obj dn
ssrv.obj smiley.obj status.obj stringref.obj stun.obj sslconn.obj upnp.obj u
til.obj value.obj version.obj xmlnode.obj whiteboard.obj ssl-nss.obj static_
proto_init.obj win32/libc_interface.obj win32/win32dep.obj  ../libraries/gli
b/glib.lib ../libraries/xml2/xml2.lib protocols/jabber/jabber.lib protocols/
gg/gg.lib protocols/oscar/oscar.lib protocols/msn/msn.lib protocols/myspace/
myspace.lib protocols/novell/novell.lib protocols/qq/qq.lib protocols/sameti
me/sametime.lib protocols/simple/simple.lib protocols/yahoo/yahoo.lib protoc
ols/netsoul/netsoul.lib protocols/bonjour/bonjour.lib
Traceback (most recent call last):
  File "c:/Users/clokep/instantbird/mozilla/config/expandlibs_gen.py", line
43, in <module>
    print >>outfile, generate(args)
  File "c:/Users/clokep/instantbird/mozilla/config/expandlibs_gen.py", line
27, in generate
    raise Exception("File not found: %s" % arg)
Exception: File not found: protocols/jabber/jabber.lib
c:\Users\clokep\instantbird\config\rules.mk:979:0: command 'c:/Users/clokep/
instantbird/objdir-debug-moz22/mozilla/_virtualenv/Scripts/python.exe c:/Use
rs/clokep/instantbird/mozilla/config/expandlibs_gen.py --depend .deps/purple
.lib.pp -o purple.lib.desc account.obj accountopt.obj blist.obj buddyicon.ob
j cipher.obj ciphers/des.obj ciphers/gchecksum.obj ciphers/hmac.obj ciphers/
md4.obj ciphers/md5.obj ciphers/rc4.obj ciphers/sha1.obj ciphers/sha256.obj
circbuffer.obj cmds.obj connection.obj conversation.obj core.obj debug.obj e
ventloop.obj ft.obj gettext.obj idle.obj imgstore.obj mime.obj nat-pmp.obj n
etwork.obj ntlm.obj notify.obj plugin.obj pluginpref.obj prefs.obj privacy.o
bj proxy.obj prpl.obj request.obj roomlist.obj server.obj signals.obj dnsque
ry.obj dnssrv.obj smiley.obj status.obj stringref.obj stun.obj sslconn.obj u
pnp.obj util.obj value.obj version.obj xmlnode.obj whiteboard.obj ssl-nss.ob
j static_proto_init.obj win32/libc_interface.obj win32/win32dep.obj  ../libr
aries/glib/glib.lib ../libraries/xml2/xml2.lib protocols/jabber/jabber.lib p
rotocols/gg/gg.lib protocols/oscar/oscar.lib protocols/msn/msn.lib protocols
/myspace/myspace.lib protocols/novell/novell.lib protocols/qq/qq.lib protoco
ls/sametime/sametime.lib protocols/simple/simple.lib protocols/yahoo/yahoo.l
ib protocols/netsoul/netsoul.lib protocols/bonjour/bonjour.lib' failed, retu
rn code 1
c:\Users\clokep\instantbird\config\rules.mk:802:0: command 'c:/mozilla-build
/python/python.exe c:/Users/clokep/instantbird/mozilla/build/pymake/pymake/.
./make.py -C libpurple libs' failed, return code 2
c:\Users\clokep\instantbird\config\rules.mk:657:0: command 'c:/mozilla-build
/python/python.exe c:/Users/clokep/instantbird/mozilla/build/pymake/pymake/.
./make.py -C purple libs' failed, return code 2
c:\Users\clokep\instantbird\config\rules.mk:668:0: command 'c:/mozilla-build
/python/python.exe c:/Users/clokep/instantbird/mozilla/build/pymake/pymake/.
./make.py libs_tier_app' failed, return code 2
Attachment #8354361 - Flags: feedback?(florian)
Comment on attachment 8354361 [details] [diff] [review]
Port of c-r changes, part 2 WIP

*** Original change on bio 1997 attmnt 2592 at 2013-07-18 00:53:55 UTC ***

I've gotten past this build error. Everything works OK without applying this patch, so we can update to Mozilla 22 without it. I would like to maintain being close to the c-c build system...but we'll see where this brings us.
Attachment #8354361 - Attachment is obsolete: true
Attachment #8354361 - Flags: feedback?(florian)
Comment on attachment 8354359 [details] [diff] [review]
Update client.py and patches

*** Original change on bio 1997 attmnt 2590 at 2013-08-02 17:25:19 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354359 - Flags: review?(florian) → review+
Comment on attachment 8354360 [details] [diff] [review]
Port of c-r changes, part 1

*** Original change on bio 1997 attmnt 2591 at 2013-08-02 17:30:04 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354360 - Flags: review?(florian) → review+
*** Original post on bio 1997 as attmnt 2680 at 2013-08-03 12:16:00 UTC ***

(In reply to comment #4)
> Comment on attachment 8354361 [details] [diff] [review] (bio-attmnt 2592) [details]
> Port of c-r changes, part 2 WIP
> 
> Everything works OK without applying this patch

This is not my experience. The attached patch contains the part of attachment 8354361 [details] [diff] [review] (bio-attmnt 2592) that were required for things to build when I tested locally.

I would propose that we land attachment 8354359 [details] [diff] [review] (bio-attmnt 2590) + attachment 8354360 [details] [diff] [review] (bio-attmnt 2591) (I tweaked it to apply without bug 955017 (bio 1587)) + this patch, and then finish bug 955017 (bio 1587) and the moz.build conversion later.
Attachment #8354449 - Flags: review?(clokep)
Comment on attachment 8354449 [details] [diff] [review]
Use moz.build only for mozilla/

*** Original change on bio 1997 attmnt 2680 at 2013-08-03 12:59:25 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354449 - Flags: review?(clokep) → review+
*** Original post on bio 1997 at 2013-08-04 21:48:40 UTC ***

Follow up to fix bustage: http://hg.instantbird.org/instantbird/rev/b393a1d64aff
Depends on: 955551
*** Original post on bio 1997 as attmnt 2747 at 2013-08-21 22:53:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354516 - Flags: review?(clokep)
Comment on attachment 8354516 [details] [diff] [review]
Fix building with --enable-extensions=inspector

*** Original change on bio 1997 attmnt 2747 at 2013-08-21 22:57:23 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354516 - Flags: review?(clokep) → review+
*** Original post on bio 1997 at 2013-08-21 23:01:51 UTC ***

Comment on attachment 8354516 [details] [diff] [review] (bio-attmnt 2747)
Fix building with --enable-extensions=inspector

http://hg.instantbird.org/instantbird/rev/8d0584c55b6f
Blocks: 955657
You need to log in before you can comment on or make changes to this bug.